
//*******************************************************************************************
//  iYoutubeParser.h
//  Library iYoutubeParser for B4i
//
//  Created by Alberto Fernandez Iglesias (alberto@visualnet.inf.br)
//  Copyright (c) 1999-2016 by VN SOFT CONSULTORIA EM INFORMATICA LTDA. All rights reserved.
//*******************************************************************************************

#import <Foundation/Foundation.h>
#import "iCore.h"

@class B4I;
//~shortname:iYoutubeParser
//~event:onInitialized(EventName As String)
//~event:onComplete(YoutubeURL As String)

//~version:1.30
//~author:Alberto Iglesias (alberto@visualnet.inf.br)

@interface B4iYoutubeParser : NSObject

//Enable/Disable Debug mode from Library
@property (nonatomic, readwrite)BOOL DebugMode;

//Author of this Library
@property (nonatomic, readonly)NSString *Author;

//Library Version
@property (nonatomic, readonly)NSString *Version;

//VideoURL
@property (nonatomic, readonly)NSString *VideoURL;

//Thumbnail
@property (nonatomic, readonly)UIImage *VideoThumbnail;

//Last Error Description
@property (nonatomic, readonly)NSString *ErrorDescription;

//Last Error Code
@property (nonatomic, readonly)int ErrorCode;

//Initializes the object.
- (void)Initialize:(B4I *)bi :(NSString *)EventName;

//Get the Download URL from Youtube URL or ID
-(void)GetDownloadURL:(NSString *)pURL;
    
@end
